Package org.bukkit.event.block

# Class BlockDispenseEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockDispenseEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `BlockDispenseArmorEvent`

public class BlockDispenseEvent extends BlockEvent implements Cancellable
Called when an item is dispensed from a block.

If a Block Dispense event is cancelled, the block will not dispense the item.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockDispenseEvent(@NotNull Block block, @NotNull ItemStack dispensed, @NotNull Vector velocity)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item that is being dispensed.
`@NotNull Vector`
`getVelocity()`
Gets the velocity in meters per tick.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setItem(@NotNull ItemStack item)`
Sets the item being dispensed.
`void`
`setVelocity(@NotNull Vector vel)`
Sets the velocity of the item being dispensed in meters per tick.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockDispenseEvent

public BlockDispenseEvent(@NotNull @NotNull Block block, @NotNull @NotNull ItemStack dispensed, @NotNull @NotNull Vector velocity)

## Method Details

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item that is being dispensed. Modifying the returned item will have no effect, you must use `setItem(org.bukkit.inventory.ItemStack)` instead.

Returns:
  An ItemStack for the item being dispensed

### setItem

public void setItem(@NotNull @NotNull ItemStack item)
Sets the item being dispensed.

Parameters:
  `item` - the item being dispensed

### getVelocity

@NotNull public @NotNull Vector getVelocity()
Gets the velocity in meters per tick.

Note: Modifying the returned Vector will not change the velocity, you must use `setVelocity(org.bukkit.util.Vector)` instead.

Returns:
  A Vector for the dispensed item's velocity

### setVelocity

public void setVelocity(@NotNull @NotNull Vector vel)
Sets the velocity of the item being dispensed in meters per tick.

Parameters:
  `vel` - the velocity of the item being dispensed

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()